.beauty-chat {
    display: none;
    position: fixed;
    right: 0px;
    bottom: 0px;
    width: 100%;
    max-width: 420px;
    max-height: 720px;
    height: 100%;
    z-index: 1020;
}

.beauty-chat.is-open {
    display: flex;
}

.beauty-chat .beauty-chat__container {
    height: 100%;
    position: relative;
    flex-direction: column;
    -webkit-box-pack: end;
    justify-content: flex-end;
    align-items: flex-start;
    display: flex;
    box-shadow: rgba(0, 0, 0, 0.2) 0px 0px 12px 0px;
    width: 100%;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
    background: white;
}

.beauty-chat__header {
    padding: 0px 16px 0px 0px;
    display: flex;
    align-self: stretch;
    height: 50px;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
    -webkit-box-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    align-items: center;
    position: relative;
    border-bottom: 1px solid rgb(238, 238, 238);
    background-color: rgb(255, 255, 255);
}

.beauty-chat__header .beauty-chat__header-btn.beauty-chat__header-btn--menu.beauty-chat__header-btn--desktop {
    font-size: 14px;
    max-height: 44px;
    display: none;
    width: fit-content;
    min-width: 24px;
    min-height: 24px;
    height: 24px;
    padding: 0px;
    cursor: pointer;
    border: none;
    background: transparent;
    font-weight: 400;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
    position: relative;
}

.beauty-chat__header .beauty-chat__header-btn.beauty-chat__header-btn--menu.beauty-chat__header-btn--desktop .beauty-chat__header-icon {
    display: inline-block;
    max-width: 100%;
}

.beauty-chat__header .beauty-chat__header-title {
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    flex: 1 1 0%;
    -webkit-box-pack: center;
    justify-content: center;
    position: inherit;
}

.beauty-chat__header .beauty-chat__header-title .beauty-chat__header-text {
    white-space: pre-wrap;
    overflow-wrap: break-word;
    font-weight: 700;
    font-size: 16px;
    line-height: 1.25;
    color: rgb(0, 0, 0);
}

.beauty-chat__header .beauty-chat__header-actions.beauty-chat__header-actions--mobile {
    display: none;
    -webkit-box-align: center;
    align-items: center;
    gap: 24px;
}

.beauty-chat__header .beauty-chat__header-actions.beauty-chat__header-actions--mobile .beauty-chat__header-btn.beauty-chat__header-btn--menu.beauty-chat__header-btn--mobile {
    font-size: 14px;
    max-height: 44px;
    display: flex;
    min-width: 24px;
    min-height: 24px;
    height: 24px;
    width: 24px;
    padding: 0px;
    cursor: pointer;
    border: none;
    background: transparent;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
    font-weight: 400;
    left: 20px;
    position: relative;
}

.beauty-chat__header .beauty-chat__header-actions.beauty-chat__header-actions--mobile .beauty-chat__header-btn.beauty-chat__header-btn--menu.beauty-chat__header-btn--mobile .beauty-chat__header-icon {
    vertical-align: middle;
    border-style: none;
}

.beauty-chat__header .beauty-chat__header-actions.beauty-chat__header-actions--mobile .beauty-chat__header-btn.beauty-chat__header-btn--collapse.beauty-chat__header-btn--mobile {
    font-size: 14px;
    max-height: 44px;
    font-weight: 700;
    display: flex;
    min-width: 24px;
    min-height: 24px;
    height: 24px;
    width: 24px;
    padding: 0px;
    cursor: pointer;
    border: none;
    background: transparent;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
}

.beauty-chat__header .beauty-chat__header-actions.beauty-chat__header-actions--mobile .beauty-chat__header-btn.beauty-chat__header-btn--collapse.beauty-chat__header-btn--mobile .beauty-chat__header-icon {
    display: inline-block;
    max-width: 100%;
}

.beauty-chat__header .beauty-chat__header-btn.beauty-chat__header-btn--collapse.beauty-chat__header-btn--desktop {
    font-size: 14px;
    max-height: 44px;
    font-weight: 700;
    display: none;
    min-width: 24px;
    min-height: 24px;
    height: 24px;
    width: 24px;
    padding: 0px;
    cursor: pointer;
    border: none;
    background: transparent;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
}

.beauty-chat__header .beauty-chat__header-btn.beauty-chat__header-btn--collapse.beauty-chat__header-btn--desktop .beauty-chat__header-icon {
    display: inline-block;
    max-width: 100%;
}

.beauty-chat__header-spacer {
    position: absolute;
    width: 100%;
    height: 1px;
    left: 0px;
    bottom: 0px;
    background-color: rgb(238, 238, 238);
    display: block;
}





.beauty-chat .beauty-chat__body {
    flex: 1 1 0%;
    width: 100%;
    flex-direction: column;
    -webkit-box-pack: end;
    justify-content: flex-end;
    align-items: flex-start;
    overflow: hidden;
    display: flex;
    background-color: white;
}

.beauty-chat .beauty-chat__body .beauty-chat__stack {
    align-self: stretch;
    flex-direction: column;
    -webkit-box-pack: end;
    justify-content: flex-end;
    flex: 1 1 0%;
    width: 100%;
    overflow: hidden;
    display: flex;
}

.beauty-chat .beauty-chat__body .beauty-chat__stack .beauty-chat__content {
    padding: 16px;
    flex-direction: column;
    -webkit-box-pack: start;
    justify-content: flex-start;
    align-items: flex-start;
    flex: 1 1 0%;
    overflow: auto;
    display: flex;
    background: white;
}

.beauty-chat .beauty-chat__body .beauty-chat__stack .beauty-chat__content .beauty-chat__messages-wrap {
    flex-direction: column;
    -webkit-box-pack: start;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 24px;
    align-self: stretch;
    width: 100%;
    display: flex;
}

.beauty-chat__initial-messages {
    gap: 24px;
    flex-direction: column;
    width: 100%;
    display: flex;
}

.beauty-chat__messages {
    gap: 24px;
    flex-direction: column;
    width: 100%;
    display: flex;
}


.beauty-chat__initial-disclaimer {
    display: block;
    font-size: 12px;
    color: rgb(102, 102, 102);
}

.beauty-chat__markdown {
    display: block;
}

.beauty-chat__markdown img {
    max-width: 100%;
    height: auto;
    display: block;
    border-radius: 10px;
    margin: 0 0 10px;
}

.beauty-chat__message-bubble {
    overflow: hidden;
    /* da ne probija border radius */
}

.beauty-chat__initial-disclaimer .beauty-chat__markdown>:last-child {
    margin-bottom: 0;
}

.beauty-chat__initial-disclaimer .beauty-chat__markdown>:first-child {
    margin-top: 0;
}

.beauty-chat__initial-disclaimer .beauty-chat__markdown :where(p, ul, ol) {
    margin-bottom: 1em;
}

.beauty-chat__initial-disclaimer .beauty-chat__markdown :where(а, .beauty-chat__link) {
    --color: 19, 107, 234;
    color: rgba(var(--color), 1);
    -webkit-text-decoration: underline;
    text-decoration: underline;
    text-decoration-color: rgba(var(--color), .3);
    -webkit-transition: text-decoration-color .2s;
    transition: text-decoration-color .2s;
}

.beauty-chat__initial-intro .beauty-chat__message-row {
    display: flex;
    padding-right: 20%;
}

.beauty-chat__message-row .beauty-chat__message-bubble {
    display: block;
    padding: 12px;
    border-radius: 12px 12px 12px 0px;
    font-size: 14px;
    background-color: rgb(246, 246, 248);
    color: black;
}

.beauty-chat__message-row .beauty-chat__message-bubble.beauty-chat__message-bubble--user {
    display: block;
    padding: 12px;
    border-radius: 12px 12px 0px;
    font-size: 14px;
    overflow-wrap: break-word;
    background-color: rgb(0, 0, 0);
    color: rgb(255, 255, 255);
}

.beauty-chat__message-row .beauty-chat__message-bubble .beauty-chat__markdown {
    display: block;
}

.beauty-chat__message-row .beauty-chat__message-bubble .beauty-chat__markdown :where(p, ul, ol) {
    margin-bottom: 1em;
}

.beauty-chat__message-row .beauty-chat__message-bubble .beauty-chat__markdown>:last-child {
    margin-bottom: 0;
}

.beauty-chat__message-row .beauty-chat__message-bubble .beauty-chat__markdown>:first-child {
    margin-top: 0;
}

.beauty-chat__context-divider {
    flex-direction: column;
    width: 100%;
    display: flex;
}

.beauty-chat__context-divider .beauty-chat__divider {
    border-bottom: 1px solid rgba(0, 0, 0, 0.063);
    border-top-color: rgba(0, 0, 0, 0.063);
    border-right-color: rgba(0, 0, 0, 0.063);
    border-left-color: rgba(0, 0, 0, 0.063);
    margin-bottom: 8px;
}

.beauty-chat__context-divider .beauty-chat__context-title {
    overflow-wrap: break-word;
    font-size: 11px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.beauty-chat__message-row--user {
    display: flex;
    -webkit-box-pack: end;
    justify-content: flex-end;
    padding-left: 20%;
}



.beauty-chat__message-row--bot {
    display: flex;
    padding-right: 20%;
}

.beauty-chat__message-row .beauty-chat__message-bubble.beauty-chat__message-bubble--bot {
    display: block;
    padding: 12px;
    border-radius: 12px 12px 12px 0px;
    font-size: 14px;
    overflow-wrap: break-word;
    background-color: rgb(246, 246, 248);
    color: black;
}


.beauty-chat__product-recommendations {
    display: block;
    background-color: rgb(255, 255, 255);
    border-radius: 12px;
    padding: 12px;
    box-shadow: rgba(0, 0, 0, 0.2) 0px 0px 6px;
    margin-bottom: 8px;
}

.beauty-chat__product-recommendations .beauty-chat__product-card {
    margin-bottom: 16px;
    display: block;
}

.beauty-chat__product-recommendations .beauty-chat__product-card .beauty-chat__product-card-inner {
    align-items: flex-start;
    display: flex;
    gap: 12px;
}

.beauty-chat__product-recommendations .beauty-chat__product-card .beauty-chat__product-card-inner .beauty-chat__product-media {
    display: block;
    flex-shrink: 0;
}

.beauty-chat__product-recommendations .beauty-chat__product-card .beauty-chat__product-card-inner .beauty-chat__product-media .beauty-chat__product-image {
    display: inline-block;
    max-width: 100%;
    width: 120px;
    height: 120px;
    object-fit: cover;
    border-radius: 2px;
}

.beauty-chat__product-recommendations .beauty-chat__product-card .beauty-chat__product-card-inner .beauty-chat__product-info {
    flex-direction: column;
    flex: 1 1 0%;
    display: flex;
    gap: 0px;
}

.beauty-chat__product-info .beauty-chat__product-text {
    display: block;
}

.beauty-chat__product-info .beauty-chat__product-text .beauty-chat__product-brand {
    white-space: pre-wrap;
    overflow-wrap: break-word;
    font-size: 12px;
    font-weight: 700;
    color: rgb(0, 0, 0);
}

.beauty-chat__product-info .beauty-chat__product-text .beauty-chat__product-title {
    white-space: pre-wrap;
    overflow-wrap: break-word;
    font-size: 12px;
    color: rgb(0, 0, 0);
    display: flex;
    line-height: 1.25;
    overflow: hidden;
    margin-top: 2px;
}

.beauty-chat__product-info .beauty-chat__product-rating {
    -webkit-box-align: center;
    align-items: center;
    display: flex;
    margin-top: 4px;
    gap: 0px;
}

.beauty-chat__product-info .beauty-chat__product-rating .beauty-chat__stars {
    display: flex;
    gap: 1px;
}

.beauty-chat__product-info .beauty-chat__product-rating .beauty-chat__stars .beauty-chat__star {
    font-size: 12px;
    line-height: 1;
    color: rgb(0, 0, 0);
}

.beauty-chat__product-info .beauty-chat__reviews-count {
    white-space: pre-wrap;
    overflow-wrap: break-word;
    font-size: 11px;
    margin-left: 12px;
}

.beauty-chat__product-info .beauty-chat__product-price-wrap {
    display: block;
    margin-top: 4px;
    margin-bottom: 4px;
}

.beauty-chat__product-info .beauty-chat__product-price-wrap .beauty-chat__product-price {
    -webkit-box-align: baseline;
    align-items: baseline;
    gap: 4px;
    display: flex;
}

.beauty-chat__product-info .beauty-chat__product-price-wrap .beauty-chat__product-price .beauty-chat__price {
    white-space: pre-wrap;
    overflow-wrap: break-word;
    font-weight: 700;
    margin-top: 4px;
    margin-bottom: 4px;
}

.beauty-chat__product-info .beauty-chat__product-size {
    white-space: pre-wrap;
    overflow-wrap: break-word;
    font-size: 12px;
    margin-bottom: 12px;
}

.beauty-chat__product-actions {
    display: flex;
    gap: 12px;
    -webkit-box-align: center;
    align-items: center;
}

.beauty-chat__product-actions .beauty-chat__add-to-basket {
    padding: 8px 0.875em;
    min-height: 32px;
    max-height: 32px;
    font-weight: 700;
    border-width: 2px;
    display: inline-flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    line-height: 1;
    border-color: transparent;
    text-align: center;
    text-decoration: none;
    border-radius: 99999px;
    appearance: none;
    color: rgb(255, 255, 255);
    transition: background-color 0.2s;
    background-color: rgb(207, 17, 44);
    min-width: 5.5em;
    width: 155px;
    font-size: 12px;

    cursor: pointer;
    margin: 0;
}

.beauty-chat__product-actions .beauty-chat__add-to-basket:hover {
    background-color: rgb(226, 3, 15);
}

.beauty-chat__product-actions .beauty-chat__add-to-basket:active {
    background-color: rgb(226, 3, 15);
}

.beauty-chat__product-actions .beauty-chat__wishlist {
    font-size: 14px;
    max-height: 44px;
    font-weight: 700;
    display: inline-flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    line-height: 1;
    background-color: transparent;
    text-align: center;
    text-decoration: none;
    appearance: none;
    color: rgb(0, 0, 0);
    transition: color 0.2s, border-color 0.2s;
    min-width: 20px;
    border: 0px;
    padding: 0px;
    min-height: 32px;
    height: 36px;
    width: 36px;
    border-radius: 9999px;
}

.beauty-chat__product-actions .beauty-chat__wishlist:hover,
.beauty-chat__product-actions .beauty-chat__wishlist:active {
    color: rgb(102, 102, 102);
}


.beauty-chat__product-actions .beauty-chat__wishlist:hover,
.beauty-chat__product-actions .beauty-chat__wishlist:focus {
    background-color: rgb(246, 246, 248);
}

.beauty-chat__product-actions .beauty-chat__wishlist .beauty-chat__wishlist-icon {
    display: inline-block;
    width: 1em;
    height: 1em;
    position: relative;
    vertical-align: text-bottom;
    fill: currentcolor;
    flex-shrink: 0;
    font-size: 20px;
    color: rgb(0, 0, 0);
}

.beauty-chat__product-divider {
    border-bottom: 1px solid rgba(0, 0, 0, 0.063);
    border-top-color: rgba(0, 0, 0, 0.063);
    border-right-color: rgba(0, 0, 0, 0.063);
    border-left-color: rgba(0, 0, 0, 0.063);
    margin-top: 20px;
    margin-bottom: 20px;
}

.beauty-chat .beauty-chat__input-bar {
    padding: 16px;
    width: 100%;
    border-top: 1px solid rgb(238, 238, 238);
    display: flex;
}

.beauty-chat .beauty-chat__input-bar .beauty-chat__input {
    width: 100%;
    position: relative;
    display: block;
}

.beauty-chat .beauty-chat__input-bar .beauty-chat__input .beauty-chat__textarea {
    border: 0;
    color: inherit;
    font: inherit;

    background-color: rgb(246, 246, 248);
    width: 100%;
    min-height: 40px;
    max-height: 120px;
    border-radius: 20px;
    padding: 10px 64px 10px 12px;

    outline: none;
    box-sizing: border-box;
    overflow-y: auto;
    -webkit-appearance: none;
    appearance: none;
}

.beauty-chat__textarea::placeholder {
    color: rgba(0, 0, 0, .45);
}

.beauty-chat .beauty-chat__input-bar .beauty-chat__input .beauty-chat__send {
    font-size: 14px;
    max-height: 44px;
    font-weight: 700;
    width: 32px;
    height: 32px;
    border-radius: 9999px;
    text-align: center;
    position: absolute;
    bottom: 13px;
    right: 4px;
    padding: 0px;
    min-width: 32px;
    min-height: 32px;
    border: none;
    transition: background 0.2s;
    background-color: rgb(136, 136, 136);
    cursor: pointer;
}


.beauty-chat .beauty-chat__input-bar .beauty-chat__input .beauty-chat__send.beauty-chat__send--active {
    font-size: 14px;
    max-height: 44px;
    font-weight: 700;
    width: 32px;
    height: 32px;
    border-radius: 9999px;
    text-align: center;
    position: absolute;
    bottom: 10px;
    right: 4px;
    padding: 0px;
    min-width: 32px;
    min-height: 32px;
    border: none;
    transition: background 0.2s;
    background-color: rgb(0, 0, 0);
    cursor: pointer;
}

.beauty-chat .beauty-chat__input-bar .beauty-chat__input .beauty-chat__send .beauty-chat__send-icon {
    display: inline-block;
    width: 1em;
    height: 1em;
    position: relative;
    vertical-align: text-bottom;
    fill: currentcolor;
    flex-shrink: 0;
    font-size: 18px;

}



@keyframes animation-loading {

    0%,
    60%,
    100% {
        opacity: 0.3;
    }

    30% {
        opacity: 1;
    }
}

.beauty-chat__typing.beauty-chat__message-row {
    display: flex;
}


.beauty-chat__message-row .beauty-chat__message-bubble.beauty-chat__message-bubble--bot.beauty-chat__typing-inner {
    display: block;
    padding: 18px;
    border-radius: 12px 12px 12px 0px;
    background-color: rgb(246, 246, 248);
    color: rgb(0, 0, 0);
}


.beauty-chat__typing-dots {
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    gap: 4px;
}


.beauty-chat__typing-dot {
    display: block;
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background-color: rgb(102, 102, 102);
    animation-name: animation-loading;
    animation-duration: 1.2s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
}

.beauty-chat__typing-dot:nth-child(1) {
    animation-delay: 0s;
}

.beauty-chat__typing-dot:nth-child(2) {
    animation-delay: 0.2s;
}

.beauty-chat__typing-dot:nth-child(3) {
    animation-delay: 0.4s;
}



@media screen and (min-width: 768px) {
    .beauty-chat {
        right: 12px;
    }

    .beauty-chat__header {
        padding-right: 16px;
        padding-left: 16px;
    }

    .beauty-chat__header .beauty-chat__header-btn.beauty-chat__header-btn--menu.beauty-chat__header-btn--desktop {
        display: flex;
    }

    /* .beauty-chat__header .beauty-chat__header-btn.beauty-chat__header-btn--collapse.beauty-chat__header-btn--desktop {
        display: flex;
    } */

    .beauty-chat__product-actions .beauty-chat__wishlist .beauty-chat__wishlist-icon {
        font-size: 20px;
    }

}

@media (min-width: 992px) {
    .beauty-chat__header {
        padding-right: 16px;
        padding-left: 16px;
    }

    .beauty-chat__header .beauty-chat__header-btn.beauty-chat__header-btn--menu.beauty-chat__header-btn--desktop {
        display: flex;
    }

    .beauty-chat__header .beauty-chat__header-btn.beauty-chat__header-btn--collapse.beauty-chat__header-btn--desktop {
        display: flex;
    }
}

@media (max-width: 991px) {
    .beauty-chat {
        z-index: 2147483647;
    }

    .beauty-chat__header .beauty-chat__header-title {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        flex: 0 0 auto;
    }

    .beauty-chat__header .beauty-chat__header-actions.beauty-chat__header-actions--mobile {
        display: flex;
        -webkit-box-pack: justify;
        justify-content: space-between;
        width: 100%;
    }

    .beauty-chat {
        bottom: 54px;
        height: 85%;
    }
}